![](doc/img/hscloud-smol.png)

`hscloud` is the main monorepo of the Warsaw Hackerspace infrastructure code.

Any time you see a `//path/like/this`, it refers to the root of hscloud, ie. the path `path/like/this` in this repository. Perforce and/or Bazel users should feel right at home.


Viewing this documentation
--------------------------

For a pleaseant web viewing experience, [see this documentation in hackdoc](https://hackdoc.hackerspace.pl/). This will allow you to read this markdown file (and others) in a pretty, linkable view.

Getting started
---------------

You will need Bash and Bazel (1.2.0+).

First, clone the repository:

    git clone https://gerrit.hackerspace.pl/hscloud
    cd hscloud

Then, set up everything:

    . ./env.sh       # setup PATH and hscloud_root
    tools/install.sh # build tools

A bunch of common tools will appearify in your `$PATH`. You should now be ready to follow other documentation.

This does not pollute your system, and you can work on multiple hscloud checkouts independently.

What now?
---------

If you want to use our Kubernetes cluster to run some stuff, see [//cluster/doc/user.md](cluster/doc/user.md).

If you're looking for administrative docs about cluster maintenance, see [//cluster/doc/admin.md](cluster/doc/admin.md).

If you want to browse the source of `hscloud` in a web browser, use [gerrit's gitiles](https://gerrit.hackerspace.pl/plugins/gitiles/hscloud/+/refs/heads/master/).

If you want to learn how to contribute to this repository, see [//doc/codelab/gerrit](doc/codelab/gerrit).

If you want help, talk to q3k, informatic or your therapist.
